<?xml version="1.0" encoding="utf-8"?>
<!--
Cadence Design Systems 


(C) COPYRIGHT, Cadence Design Systems, Inc. 2013
All Rights Reserved
Licensed Materials - Property of Cadence Design Systems

No part of this file may be reproduced, stored in a retrieval system,
or transmitted in any form or by any means electronic, mechanical,
photocopying, recording, or otherwise without prior written permission
of Cadence Design Systems, Inc. 

WARRANTY:
Use all material in this file at your own risk.  Cadence Design Systems
makes no claims about any material contained in this file.
-->
<xs:schema id="LayerSubTypes"
    targetNamespace="http://www.cadence.com/xsd/lst"
    elementFormDefault="qualified"
    xmlns:l="http://www.cadence.com/xsd/lst"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
>
    <xs:element name="LayerSubTypes">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="sub-type" minOccurs="0" maxOccurs="unbounded">
                    <xs:complexType>
                        <xs:attribute name="name" type="xs:string" use="required"/>
                        <xs:attribute name="parent-layer-type" type="l:LayerTypeTp" use="required"/>
                    </xs:complexType>
                </xs:element>
            </xs:sequence>
            <xs:attribute name="allow-edits-in-x-section-editor" use="required">
                <xs:annotation>
                    <xs:documentation>Site-level lock; if 0, Layer sub-type will be a drop down list only allowing to pick from list; if 1, typing in new values in Layer sub-type column will be allowed</xs:documentation>
                </xs:annotation>
                <xs:simpleType>
                    <xs:restriction base="xs:string">
                        <xs:enumeration value="0">
                            <xs:annotation>
                                <xs:documentation>false</xs:documentation>
                            </xs:annotation>
                        </xs:enumeration>
                        <xs:enumeration value="1">
                            <xs:annotation>
                                <xs:documentation>true</xs:documentation>
                            </xs:annotation>
                        </xs:enumeration>
                    </xs:restriction>
                </xs:simpleType>
            </xs:attribute>
        </xs:complexType>
    </xs:element>

    <xs:simpleType name="LayerTypeTp">
        <xs:restriction base="xs:string">
            <xs:enumeration value="Any">
                <xs:annotation>
                    <xs:documentation>The layer sub-type will be allowed on layers of ANY type</xs:documentation>
                </xs:annotation>
            </xs:enumeration>
            <xs:enumeration value="Surface"/>
            <xs:enumeration value="Conductor"/>
            <xs:enumeration value="Dielectric"/>
            <xs:enumeration value="Plane"/>
            <xs:enumeration value="Die Stack"/>
            <xs:enumeration value="Die"/>
            <xs:enumeration value="Dummy Type"/>
        </xs:restriction>
    </xs:simpleType>
    
</xs:schema>
